---
layout: post.html
title:  "Elevated Intelligence Watch"
date:   2015-09-05
tags: Android SmartWatch
summary: "A few weeks ago I bought an [Asus ZenWatch](https://www.asus.com/Phone-Accessory/ASUS_ZenWatch_WI500Q/) as the price [recently dropped](https://store.google.com/product/asus_zenwatch) (due to the upcoming release of the [ASUS ZenWatch 2](https://www.asus.com/ZenWatch/ASUS_ZenWatch_2_WI501Q/)). My experiences with it so far have been..."
---

A few weeks ago I bought an [Asus ZenWatch](https://www.asus.com/Phone-Accessory/ASUS_ZenWatch_WI500Q/) as the price [recently dropped](https://store.google.com/product/asus_zenwatch) (due to the upcoming release of the [ASUS ZenWatch 2](https://www.asus.com/ZenWatch/ASUS_ZenWatch_2_WI501Q/)). My experiences with it so far have been...

...somewhat underwhelming.

I had purchased the device under the guise of assisting me with my aim to lose some weight. There are many Android Wear apps that allow you to track the number of steps you make throughout the day and encourage you to achieve the [recommended 10K steps](http://www.nhs.uk/Livewell/loseweight/Pages/10000stepschallenge.aspx). The problem is, all these apps seem to have a different way of calculating how many steps you have taken.

{{> picture alt="Google Fit" caption="Google Fit" url="/images/Fit.png" class="inline" }}
{{> picture alt="Watch Face" caption="Watch Face" url="/images/Clock.png" class="inline" }}
{{> picture alt="Asus Wellness" caption="Asus Wellness" url="/images/Wellness.png" class="inline" }}
{{> picture alt="Up by Jawbone" caption="Up by Jawbone" url="/images/Up.png" class="inline" }}

*Ugh!*

This obviously destroys any confidence I have that my steps are actually being tracked. So I decided to stick with a single app (Google Fit) and ignore the rest. My reason for picking [Google Fit](https://fit.google.com/) is it has a nice feature that can detect different types of activities, so I can track how many calories I burn playing tennis as well as track my daily number of steps. It is also quite nice to have it all backed up to my Google account, giving me a nice interface to look back over different activities I've taken part in. There is also an [API](https://developers.google.com/fit/rest/) so I can make sure of that data at a later date if I so choose.

{{> picture alt="Google Fit Activity Summary" caption="Google Fit Activity Summary" url="/images/GoogleFit.png" }}

The biggest impact I saw after I had used it a few days was on my battery. It requires bluetooth enabled on your phone constantly and this can be a massive battery drain (depending on your phone). Luckily my [OnePlus One](https://oneplus.net/one) had a pretty amazing battery life to start with so I still get a full day's use out of it (*just*) but others may not be so lucky.

## It's not all doom and gloom

One thing it does, and does *really well*, is give you the ability to be indecisive about what watch you want. When I first got it I found myself changing the watch face daily (sometimes several times throughout the day). As the watch itself looks pretty smart and "ordinary" it fits in with most situations (casual and formal). Having the ability the easily change to a suitable (or [not suitable](https://play.google.com/store/apps/details?id=pl.tajchert.swear&hl=en)) watch face to match the situation is really, really nice.

{{> picture alt="Stickers" url="/images/Stickers.png" class="inline" }}
{{> picture alt="Pixels" url="/images/Pixels.png" class="inline" }}
{{> picture alt="Mechanism" url="/images/Mechanism.png" class="inline" }}
{{> picture alt="Mr Robot" url="/images/MrRobot.png" class="inline" }}

It does also have pretty good voice commands which allow you to do pretty much anything (send a text, search, add a note, send a WhatsApp message) just by talking to your watch. I did occasionally find myself in a situation where both my watch and phone started listening when I spoke those [magic words](https://support.google.com/websearch/answer/2940021?hl=en) so I recommend turning off the "listen from any screen" option on the phone. While it is a really cool and powerful feature I have yet to overcome the social awkwardness of talking to my watch so have only used it while driving or at home. I'm sure we'll soon all be [speaking to our computers](https://vimeo.com/121710266), but for now, its a bit weird.

But so far, my primary use of it has been to check on notifications without having to pull out my phone. Simple, but really useful. Not quite sure its £160 worth of usefulness though.

## Closing thought...

One thing I hadn't anticipated before I got my new watch, and something I hadn't seen anyone mention, is that your shiny new watch... could become unresponsive and not be able to tell you what time it is...

{{> picture alt="Time has become unresponsive" caption="Time has become unresponsive" url="/images/NotResponding.png" }}