---
layout: post.html
title:  "Job hunting / hiring during a pandemic"
date:   2021-08-10
tags: Job Career
summary: "I’ve recently accepted a new job offer and wanted to share a little about my experience job hunting during a global pandemic. Even after more than a year it was clear that some companies still hadn’t adjusted or taken the time to stop and look at the approach they were taking and the effect it had on the interview candidate. Hopefully some of this will be of use to someone looking to hire during similar situations.<br/>Most of what’s to come is aimed at those doing the hiring rather than the hunting but I think it could be of benefit for both sides to be aware of what might come up."
---

<details>
<summary>Changelog</summary>

2021-09-02: Added resources
</details>

I’ve recently accepted a new job offer and wanted to share a little about my experience job hunting during a global pandemic. Even after more than a year it was clear that some companies still hadn’t adjusted or taken the time to stop and look at the approach they were taking and the effect it had on the interview candidate. Hopefully some of this will be of use to someone looking to hire during similar situations.

Most of what’s to come is aimed at those doing the hiring rather than the hunting but I think it could be of benefit for both sides to be aware of what might come up.

In no particular order…

## Be clear about remote positions

In a world where we’ve all been forced to work remotely it’s good to know what a role is actually going to be like when some normalcy returns to the world.

Is the role you’re advertising a permanent remote position? If it is, is it fully remote or are some days in the office expected / required?

Be clear about _where_ you can hire remotely. Are there any legal or financial reasons why you can or can’t employ someone in a given country? If so, state those up front and save everyone some time.

I’d say it’s also good to mention any “core hours” or the time zones the majority of the team work in. Not everyone will be comfortable either with the asynchronous communication or having to shift their working day earlier or later. On a similar note, make sure to mention if contact with external people is part of the role and if there are any time constraints around that.

## Longer interview process

One thing that became clear to me fairly early on was how much more spread out the whole interview process was.

It’s not uncommon for a company to want to perform a few different interviews (e.g. technical, behavioural, etc.) or with a few different interviewers. In face-to-face interviews these normally tend to happen all in the same day, one after another. In a remote approach this was _much_ more dragged out with interviews spread over multiple weeks. As an example, I had one application spread over a month and half with a total of 7 hours of interviews plus time taken on a take-home programming exercise.

This all amounted to dragging out all the usual stress/anxiety that comes with interviewing. If the candidate is currently unemployed (not uncommon during this pandemic) then any delay to the process could have a serious impact on their life and their family.

## Pants & T-shirt

Ok, so it’s not all bad.

While I don’t recommend actually sitting in your pants (or underwear for the American readers) and a t-shirt while on an interview call I did notice there was much less worry or expectation about what to wear. Where previously I’d feel compelled to wear a shirt and smart trousers to an interview I could instead wear shorts and a t-shirt and feel much more comfortable in what I was wearing.

This may seem like a small thing but that extra level of comfort adds wonders to confidence during the interview.

## Audio is most important

One thing that really struck me was how important it was that the audio worked, rather than the video.

While the video does allow both parties to pick up on non-verbal cues, it’s much more important that both can hear each other clearly so neither misunderstand.

Google Meet is especially bad in this area from my experience. When the connection degrades it’s both the video and the audio that suffers, leading to several "sorry, can you repeat that please?”. In contrast I’ve found Zoom to fare quite well in this area as in a [default setup the audio is prioritised slightly higher than video and screen share traffic](https://support.zoom.us/hc/en-us/articles/207368756-Using-QoS-DSCP-Marking).

If free / open source is more your thing then [Jitsi Meet](https://jitsi.org/jitsi-meet/) prioritises audio, even to the point where it’ll stop the video if required.

On a similar note, make sure you have a stable internet connection and try to avoid tethering from a mobile where possible. If unavoidable make sure to let the other person know at the start and suggest switching to audio only.

## Include the company name in email subjects

When I received emails and calendar invites only about half of them included the company name in the subject, instead most were titles something like "Interview with Marcus Noble". I couldn’t see at a glance which company it was related to and as I’d applied to a lot of different places it was quite a chore to keep things organised.

When sending calendar invites I much prefer to know the company and the type of interview (if relevant) than the person I’m interviewing with. Information about the interviewer and anything else relevant can be contained in the main body content but when looking at the overview of my calendar I want to know quickly which interviews I need to prepare for that day.

## Explain the process

This is something that almost all the companies I spoke with did and it’s super valuable for the candidate.

Knowing exactly what to expect and when means the candidate can just focus on showing their best self during the interview process and not having to get anxious about all the worst case scenarios that flood their mind. If you can include this information along with the initial job specification then that’s even better!

## Have a single contact person

I noticed that there was the vast number of different people that were involved in the whole interviewing process. It wasn’t uncommon to interact with a technical recruiter, the hiring manager and multiple different people from various teams. Having a single person to contact if needed and knowing that from the start goes a long way to relieving some stress on the candidates side.

## Scheduling is hard

Pretty much every company I interviewed with used something similar to [Calendly](https://calendly.com/) to make it easier for them to arrange the best time for the interview.

The problem though is the interview candidate has to update their availability on _all_ of these. So once one company has scheduled a call you then need to go through all the others you have given your availability to and update them.

Ideally it’d be better if the candidate could use a single service for their availability but I can’t see that happening in reality.

## Competitive salary

> (Ok this one is more of a general rant)

If your salary is so competitive then brag about it! Put it in the job spec and save wasted time on both sides.

Not wiling to share your salary? Then ask the candidates what they’re looking for, if it’s more than you can afford then thank them for their interest and let them know you don’t currently have any roles suitable. **DO NOT** use this as a way of underpaying people. If someone is asking for a value below what you think the role should be don’t give them that low salary to save money. You’ll get a much happier and productive worker if you pay them fairly.

## LinkedIn

I’ve not had much luck with LinkedIn but your mileage may vary.

Most of the people contacting me on there were just automatic messages and largely irrelevant to what I was looking for.

I forget where I first saw this suggested but adding an Emoji into your name is a really good way of filtering out the automatic messages from the personal ones. Anything that was sent to "☁️ Marcus" was immediately ignored as they were mostly completely irrelevant.

## Ghosting / Delay in Responses

One thing that was especially frustrating was the companies that didn't seem like they had the time or interest to actually take part in the hiring process. I had a few companies that didn't even respond to an application and a good few others that were slow (over a week) to respond at each stage.

Not only does this add to the longer process mentioned above it also makes candidates either worry about the position or move on to something else.

If you don't plan to proceed with an application then let that candidate know. Even a basic boilerplate email would be enough so the candidate can focus elsewhere.

---

All-in-all the process wasn’t _too_ bad. Being able to do all the interviews in a setting that I was comfortable was a big positive but I also understand that I’m in a very privileged position where I have a quiet space to do that and not currently _need_ a new job.

I'm not sure how different the situation would be if I wasn't in this privileged position but I can't imagine it being pleasant. It's worth keeping in mind when you're hiring that you may be automatically excluding some quality candidates due to either dragging out the whole process or not being flexible enough. A "we embrace diversity" message at the bottom of your job spec isn't enough.

If anyone is currently in the process of job hunting (or hiring) and wants to chat about any of this or just get some general advice I'm always happy to help where I can (though I'm far from an expert). Feel free to message me on [Twitter](https://twitter.com/Marcus_Noble_) (DMs open).

## Bonus: Resources for those job hunting

* [De-Coding the Technical Interview Process](https://technicalinterviews.dev/) by [Emma Bostian](https://twitter.com/EmmaBostian) fantastic book (although examples are web dev based) outlining a lot of what to expect in the interview process.
* [Tech Interview Handbook](https://techinterviewhandbook.org/) - Wish I'd come across this sooner. Lots of great information (especially liking the [Questions to ask](https://techinterviewhandbook.org/questions-to-ask/) page) but does seem fairly USA centric.